version-graph
Upsert a version-graph landmark
POST
/
api
/
v1
/
version-graph
/
landmarks
Upsert a version-graph landmark
curl --request POST \
--url https://api.nitsor.com/api/v1/version-graph/landmarks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": "<string>",
"idempotencyKey": "<string>",
"projectId": "<string>",
"landmark": {
"annotationId": "<string>",
"assetId": "<string>",
"classId": "<string>",
"note": "<string>",
"position": {
"x": 123,
"y": 123,
"z": 123
}
}
}
'import requests
url = "https://api.nitsor.com/api/v1/version-graph/landmarks"
payload = {
"branchId": "<string>",
"idempotencyKey": "<string>",
"projectId": "<string>",
"landmark": {
"annotationId": "<string>",
"assetId": "<string>",
"classId": "<string>",
"note": "<string>",
"position": {
"x": 123,
"y": 123,
"z": 123
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branchId: '<string>',
idempotencyKey: '<string>',
projectId: '<string>',
landmark: {
annotationId: '<string>',
assetId: '<string>',
classId: '<string>',
note: '<string>',
position: {x: 123, y: 123, z: 123}
}
})
};
fetch('https://api.nitsor.com/api/v1/version-graph/landmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/version-graph/landmarks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'branchId' => '<string>',
'idempotencyKey' => '<string>',
'projectId' => '<string>',
'landmark' => [
'annotationId' => '<string>',
'assetId' => '<string>',
'classId' => '<string>',
'note' => '<string>',
'position' => [
'x' => 123,
'y' => 123,
'z' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/version-graph/landmarks"
payload := strings.NewReader("{\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"projectId\": \"<string>\",\n \"landmark\": {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"note\": \"<string>\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/version-graph/landmarks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"projectId\": \"<string>\",\n \"landmark\": {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"note\": \"<string>\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/version-graph/landmarks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"projectId\": \"<string>\",\n \"landmark\": {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"note\": \"<string>\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"branchId": "<string>",
"eventSeq": 123
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Body
application/json
⌘I
Upsert a version-graph landmark
curl --request POST \
--url https://api.nitsor.com/api/v1/version-graph/landmarks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": "<string>",
"idempotencyKey": "<string>",
"projectId": "<string>",
"landmark": {
"annotationId": "<string>",
"assetId": "<string>",
"classId": "<string>",
"note": "<string>",
"position": {
"x": 123,
"y": 123,
"z": 123
}
}
}
'import requests
url = "https://api.nitsor.com/api/v1/version-graph/landmarks"
payload = {
"branchId": "<string>",
"idempotencyKey": "<string>",
"projectId": "<string>",
"landmark": {
"annotationId": "<string>",
"assetId": "<string>",
"classId": "<string>",
"note": "<string>",
"position": {
"x": 123,
"y": 123,
"z": 123
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branchId: '<string>',
idempotencyKey: '<string>',
projectId: '<string>',
landmark: {
annotationId: '<string>',
assetId: '<string>',
classId: '<string>',
note: '<string>',
position: {x: 123, y: 123, z: 123}
}
})
};
fetch('https://api.nitsor.com/api/v1/version-graph/landmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/version-graph/landmarks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'branchId' => '<string>',
'idempotencyKey' => '<string>',
'projectId' => '<string>',
'landmark' => [
'annotationId' => '<string>',
'assetId' => '<string>',
'classId' => '<string>',
'note' => '<string>',
'position' => [
'x' => 123,
'y' => 123,
'z' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/version-graph/landmarks"
payload := strings.NewReader("{\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"projectId\": \"<string>\",\n \"landmark\": {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"note\": \"<string>\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/version-graph/landmarks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"projectId\": \"<string>\",\n \"landmark\": {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"note\": \"<string>\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/version-graph/landmarks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"projectId\": \"<string>\",\n \"landmark\": {\n \"annotationId\": \"<string>\",\n \"assetId\": \"<string>\",\n \"classId\": \"<string>\",\n \"note\": \"<string>\",\n \"position\": {\n \"x\": 123,\n \"y\": 123,\n \"z\": 123\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"branchId": "<string>",
"eventSeq": 123
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}